﻿@model SportsClub.Models.FormModels.CheckBox

@{    
    var titlevalue = Model.Title;
    var labelHtmlAttr = new Dictionary<string, object> { { "class", "Custom-label pull-left" }, { "data-value", titlevalue } };
    var checkBoxHtmlAttr = new Dictionary<string, object> { { "class", "icheck" }, { "title", @Model.HelpText } };
}
<div class="pull-left form-group check-box">
    @Html.Hidden("ModelType", Model.GetType())
    @Html.Hidden("Id", Model.Id)
    @for (var i = 0; i < Model.Validations.Count; i++)
    {
        @Html.HiddenFor(x => x.Validations[i].Type)
        @Html.HiddenFor(x => x.Validations[i].Message)
    }

    @Html.HiddenFor(x => x.Title)
    @Html.HiddenFor(x => x.HelpText)
    @Html.HiddenFor(x => x.ExcelTitle)

    @Html.CheckBoxFor(x => x.Value, checkBoxHtmlAttr)
    @Html.LabelFor(x => x.Value, htmlAttributes: labelHtmlAttr)
    @if (!string.IsNullOrEmpty(Model.HelpText))
    {
        <a href="#" class="name-info pull-left" data-container="body" rel="popover" data-placement="top" data-content="@Model.HelpText"></a>
    }
    @Html.ValidationMessageFor(model => model.Value)
</div>

<script type="text/javascript">

    //get data-value and set to html to correct show value
    $(".Custom-label").each(function () {
        $(this).html($(this).data("value"));
    });

    $(document).ready(function () {
        // initial popover function in DisplayForms
        popoverInit();
    });
</script>
